﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Drawing;
using MindFusion.Diagramming;
using MindFusion.Diagramming.Mvc;

namespace PartialView.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            ViewBag.Message = "Modify this template to jump-start your ASP.NET MVC application.";

            return View();
        }

        public ActionResult GetPartialView()
        {
            var view = new DiagramView("diagramView");

            var overview = new Overview("overview", "diagramView");

            var nodeListView = new NodeListView("nodelist");
            ShapeNode node1 = new ShapeNode();
            node1.Bounds = new RectangleF(0, 0, 50, 50);
            node1.Shape = Shapes.ConeUp;
            nodeListView.AddNode(node1, node1.Shape.Id);

            ShapeNode node2 = new ShapeNode();
            node2.Bounds = new RectangleF(0, 0, 50, 50);
            node2.Shape = Shapes.Cube;
            nodeListView.AddNode(node2, node2.Shape.Id);

            ShapeNode node3 = new ShapeNode();
            node3.Bounds = new RectangleF(0, 0, 50, 50);
            node3.Shape = Shapes.Cylinder;
            nodeListView.AddNode(node3, node3.Shape.Id);

            ViewBag.DiagramView = view;
            ViewBag.Overview = overview;
            ViewBag.NodeListView = nodeListView;

            return PartialView("~/Views/Home/Partial.cshtml");
        }
    }
}